## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaDiffWriter

### DatabaseSchema::ezcDbSchemaDiffWriter

### Interface ezcDbSchemaDiffWriter

This class provides the base interface for schema difference writers

This interface is extended by both a specific interface for schema difference writers which write to a file (@link ezcDbSchemaDiffFileWriter) and one for writers that apply differences directly to a database instance (@link ezcDbSchemaDiffDbWriter).

Source for this file: /DatabaseSchema/src/interfaces/schema_diff_writer.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDbSchemaDiffFileWriter | This class provides the interface for file schema differences writers
ezcDbSchemaDiffDbWriter | This class provides the interface for database schema difference writers

### Method Summary

public int | `getDiffWriterType( )` Returns what type of schema difference writer this class implements.

### Methods

#### getDiffWriterType

int getDiffWriterType( )

Returns what type of schema difference writer this class implements.

Depending on the class it either returns ezcDbSchema::DATABASE (for writers that apply the differences directly to a database) or ezcDbSchema::FILE (for writers that write the differences to a file).

Documentation generated by phpDocumentor 1.4.3